/************************************************************************************
*
*  Project Name:	Templates
*     File Name:	FTTool.h
*        Author:	Rob Neville (IIx)
*          Date:	May 17, 1989
*
*   Description:	Typedefs etc. for default FT Tool	
*
*************************************************************************************
*
*	Revision History:
*		5/17/89 - Original version by Rob Neville (IIx)
*		6/26/89 - rev'd for b2 Toolbox
*
************************************************************************************/

#include	<Resources.h>
#include	<ToolUtils.h>
#include	<Script.h>
#include	<FTIntf.h>
#include	<FileTransferTool.h>
#include	<CTBUtils.h>
#include	<CRMIntf.h>
#include	<Strings.h>

#define 	ByronItem		1
#define 	RobItem			2
#define 	BYRON_DUCK		1
#define 	ROB_GOD			2
#define 	TRUE_ID			3
#define 	FALSE_ID		4

#define		NoErr			ftNoErr
#define 	Rejected		ftRejected
#define 	Failed			ftFailed
#define 	TimeOut			ftTimeOut
#define		TooManyRetry	ftTooManyRetry
#define		OutOfMemory		ftNotEnoughDSpace
#define		RemoteCancel	ftRemoteCancel
#define		WrongFormat		ftWrongFormat
#define		NoTools			ftNoTools
#define		UserCancel		ftUserCancel
#define		NotSupported 	ftNotSupported


#define		InitMsg			ftInitMsg
#define		DisposeMsg		ftDisposeMsg
#define		SuspendMsg		ftSuspendMsg
#define		ResumeMsg		ftResumeMsg
#define		MenuMsg			ftMenuMsg
#define		EventMsg		ftEventMsg
#define 	ActivateMsg 	ftActivateMsg
#define 	DeactivateMsg 	ftDeactivateMsg
#define		AbortMsg		ftAbortMsg
#define		StartMsg		ftStartMsg
#define		CleanupMsg		ftCleanupMsg
#define		ExecMsg			ftExecMsg
 
#define		XpreflightMsg	ftXpreflightMsg
#define		XsetupMsg		ftXsetupMsg
#define		XitemMsg		ftXitemMsg
#define		XfilterMsg		ftXfilterMsg
#define		XcleanupMsg		ftXcleanupMsg

#define		validateMsg		ftValidateMsg
#define		DefaultMsg		ftDefaultMsg

#define		MgetMsg			ftMgetMsg
#define		MsetMsg			ftMsetMsg

#define		L2English		ftL2English
#define		L2Intl			ftL2Intl

typedef	FTHandle	ToolHandle;

typedef struct Config
{
	Boolean	param1;
	Boolean	param2;
} Config, *ConfigPtr, **ConfigHdl;

typedef struct Private
{
	long	param;
} Private, *PrivatePtr, **PrivateHdl;