{************************************************************************************
*
*  Project Name:	FTTools
*     File Name:	floc.p
*       Authors:	Rob Neville, Alex Kazim, Carol Lee, Byron Han
*          Date:	May 17, 1989
*
*   Description:	
*
*************************************************************************************
*
*	Revision History:
*		5/17/89 - Original version by Rob Neville
*		6/26/89 - Rev'd for b2 of Comm Toolbox
*		7/24/89 - Rev'd for b4 of Comm Toolbox
*
************************************************************************************}

UNIT myfloc;

INTERFACE

USES
	MemTypes, QuickDraw, OSIntf, ToolIntf, PackIntf,
	FixMath, Script, 
	FileTransferTool,
	FTIntf,
	FTTool,
	FTUtil,
	CRMIntf,
	CTBUtils;
	
function FLOC(hFT: FTHandle;msg: integer; p1,p2,p3: longint): longint;


IMPLEMENTATION

{	********************************	}
{	Entry for Localization Interface	}
{	********************************	}

function FLOC(hFT: FTHandle;msg: integer;p1,p2,p3: longint): longint;
TYPE
	PtrPtr = ^Ptr;
	
VAR
	outPtr:	Ptr;
	procID: INTEGER ;
	
begin
	outPtr := PtrPtr(p2)^;
	procID := hFT^^.procID ;
	case msg of
		ftL2English:
			floc := TranslateConfig( procID, Ptr(p1),outPtr,p3,verUS,ClassFT);
		ftL2Intl:
			floc := TranslateConfig( procID, Ptr(p1),outPtr,verUS,p3,ClassFT);
	end; {case}
	PtrPtr(p2)^ := outPtr;
end; {cloc}
end.